﻿@model BulkDependentCareReceiptReportPdfExportViewModel
@{
    Layout = null;
}

@*@foreach (var data in Model.Data)*@
@for(int i = 0; i<Model.Data.Count; i++)
{

    <table style="border-collapse: separate; border-spacing: 0 10px; text-align:left; letter-spacing: .5px; width: 100%;font-size: 7pt;font-family: sans-serif;">
        <thead>
            <tr style="line-height:15px">
                <td width="50%" colspan="8">
                    <span style="font-size:7pt;font-family: sans-serif;">Class meeting dates (@Model.HeaderInfoDate) </span> <br />
                        <span style="font-size:7pt;font-family: sans-serif;"> @Model.HeaderInfoPartnerName</span> <br />
                        <span style="font-size:7pt;font-family: sans-serif;"> @Model.HeaderInfoPartnerAddress</span> <br />
                        <span style="font-size:7pt;font-family: sans-serif;"> @Model.HeaderInfoPartnerPhone</span> <br />
                        <span style="font-size:7pt;font-family: sans-serif;"> @Model.HeaderInfoPartnerSite</span> <br />
                        <span style="font-size:7pt;font-family: sans-serif;"> @Model.HeaderInfoPartnerEmail</span> <br />
                        <div style="height:40px">&nbsp;</div>
                </td>
            </tr>
            <tr style="text-decoration:underline; color:blue;font-family:sans-serif; border-top:1px solid">
                <td width="15%">Payment date </td>
                <td width="10%">Student name </td>
                <td width="10%">Class name</td>
                <td width="10%">Amount paid ($)</td>
                <td width="15%">Class meeting dates</td>
                <td width="15%">Method of payment</td>
                <td width="15%">Provider name</td>
                <td width="10%">Provider tax ID</td>

            </tr>
        </thead>

        <tbody>
            @foreach (var item in Model.Data[i])
                {
                <tr style="font-family:sans-serif">
                    <td>@item.Date</td>
                    <td>@item.StudentName</td>
                    <td>@item.ClassName</td>
                    <td>@item.AmountPaid</td>
                    <td>@item.ClassMeetingDates</td>
                    <td>@item.MethodOfPayment</td>
                    <td>@item.ProviderName</td>
                    <td>@item.ProviderTaxId</td>

                </tr>
            }
        </tbody>

    </table>

    <p style="font-size: 7pt;font-family: sans-serif;letter-spacing: .5px;line-height:15px; margin-top:20px">@Html.Raw(Model.Description.Replace("\n", "<br/>")) </p>

        <div style="height:20px"> &nbsp; </div>
        <table style="text-align:left; letter-spacing: .5px;font-family: sans-serif ; width: 100%;font-size: 7pt;">
            <thead>
                <tr style="font-weight:bold; color:black;margin-top:15px;">
                    <td width="15%"></td>
                    <td width="10%"></td>
                    <td width="10%"></td>
                    <td width="20%" colspan="4" style="padding-left:20px">Total: @Model.TotalAmount[i]</td>
                    <td width="10%"></td>
                    <td width="10%"></td>
                    <td width="15%"></td>
                    <td width="10%"></td>

                </tr>
            </thead>
        </table>
        <div style="page-break-after:always"> </div>


}
